<template>
  <lazy-theme-desktop-peru-referrals-diagram
    v-if="selectedThemeName.includes('peru')"
  />
  <MDiagram v-else-if="isMobile" />
  <Diagram v-else />
</template>

<script setup lang="ts">
import MDiagram from "@/components/theme/common/mobile/referral/Diagram.client.vue";
import Diagram from "@/components/theme/common/desktop/referral/Diagram.client.vue";
import { store } from "~~/store";

const isMobile = !useIsDesktop();
const selectedThemeName = computed(() => store.state.selectedThemeName);
</script>

<style scoped></style>
